RDKit: RDKit::Chirality::detail Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Functions
RDKit::Chirality::detail Namespace Reference

## Functions
RDKIT_GRAPHMOL_EXPORT Bond::BondDir | determineBondWedgeState (const Bond *bond, unsigned int fromAtomIdx, const Conformer *conf)
RDKIT_GRAPHMOL_EXPORT Bond::BondDir | determineBondWedgeState (const Bond *bond, const std::map< int, std::unique_ptr< RDKit::Chirality::WedgeInfoBase > > &wedgeBonds, const Conformer *conf)
RDKIT_GRAPHMOL_EXPORT std::pair< bool, INT_VECT > | countChiralNbrs (const ROMol &mol, int noNbrs)
RDKIT_GRAPHMOL_EXPORT int | pickBondToWedge (const Atom *atom, const ROMol &mol, const INT_VECT &nChiralNbrs, const std::map< int, std::unique_ptr< RDKit::Chirality::WedgeInfoBase > > &resSoFar, int noNbrs)
RDKIT_GRAPHMOL_EXPORT void | setStereoForBond (ROMol &mol, Bond *bond, Bond::BondStereo stereo, bool useCXSmilesOrdering=false)

## Function Documentation

## ◆ countChiralNbrs()

RDKIT_GRAPHMOL_EXPORT std::pair< bool, INT_VECT > RDKit::Chirality::detail::countChiralNbrs | ( | const ROMol & | mol,
|  | int | noNbrs )

References RDKIT_GRAPHMOL_EXPORT.

## ◆ determineBondWedgeState() [1/2]

RDKIT_GRAPHMOL_EXPORT Bond::BondDir RDKit::Chirality::detail::determineBondWedgeState | ( | const Bond * | bond,
|  | const std::map< int, std::unique_ptr< RDKit::Chirality::WedgeInfoBase > > & | wedgeBonds,
|  | const Conformer * | conf )

References RDKIT_GRAPHMOL_EXPORT.

## ◆ determineBondWedgeState() [2/2]

RDKIT_GRAPHMOL_EXPORT Bond::BondDir RDKit::Chirality::detail::determineBondWedgeState | ( | const Bond * | bond,
|  | unsigned int | fromAtomIdx,
|  | const Conformer * | conf )

References RDKIT_GRAPHMOL_EXPORT.

## ◆ pickBondToWedge()

RDKIT_GRAPHMOL_EXPORT int RDKit::Chirality::detail::pickBondToWedge | ( | const Atom * | atom,
|  | const ROMol & | mol,
|  | const INT_VECT & | nChiralNbrs,
|  | const std::map< int, std::unique_ptr< RDKit::Chirality::WedgeInfoBase > > & | resSoFar,
|  | int | noNbrs )

References RDKIT_GRAPHMOL_EXPORT.

## ◆ setStereoForBond()

RDKIT_GRAPHMOL_EXPORT void RDKit::Chirality::detail::setStereoForBond | ( | ROMol & | mol,
|  | Bond * | bond,
|  | Bond::BondStereo | stereo,
|  | bool | useCXSmilesOrdering = false )

If useCXSmilesOrdering is true, the stereo will be assigned relative to the lowest-numbered neighbor of each double bond atom. Otherwise it uses the lowest-numbered neighbor on the lower-numbered atom of the double bond and the highest-numbered neighbor on the higher-numbered atom

References RDKIT_GRAPHMOL_EXPORT.